com.sun.syndication.feed.synd

## Interface SyndPerson

All Superinterfaces:
  java.lang.Cloneable, Extendable

All Known Implementing Classes:
  SyndPersonImpl

    public interface SyndPerson
    extends java.lang.Cloneable, Extendable

Bean interface for authors and contributors of SyndFeedImpl feeds and entries.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `clone()` Creates a deep clone of the object.
`java.lang.String` `getEmail()` Returns email of person.
`java.lang.String` `getName()` Returns name of person
`java.lang.String` `getUri()` Returns URI of person.
`void` `setEmail(java.lang.String email)` Sets email of person.
`void` `setName(java.lang.String name)` Sets name of person.
`void` `setUri(java.lang.String uri)` Sets URI of person.

### Methods inherited from interface com.sun.syndication.feed.module.Extendable

`getModule, getModules, setModules`

### Method Detail

#### getName

    java.lang.String getName()

Returns name of person

#### setName

    void setName(java.lang.String name)

Sets name of person.

#### getUri

    java.lang.String getUri()

Returns URI of person.

#### setUri

    void setUri(java.lang.String uri)

Sets URI of person.

#### getEmail

    java.lang.String getEmail()

Returns email of person.

#### setEmail

    void setEmail(java.lang.String email)

Sets email of person.

#### clone

    java.lang.Object clone()
                    throws java.lang.CloneNotSupportedException

Creates a deep clone of the object.

Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.